none
Biztalk RFID 2013 fails to install with .net 4.0 error RRS feed

  • Question

  • Hi All

    I am installing BizTalk 2013 on a Windows 2012 VM and am getting an error .Net Framework 4.0 Full profile is not installed. I'm not sure why as 4.5 is integral to 2012. Does anyone know of a solution to this?


    pinpointDA

    Friday, December 2, 2016 2:41 PM

Answers

  • Hi,

    BizTalk RFID supports building provider and mobile applications on .NET Framework 4.5.

    I would advice you to refer the guide and ensure that you have configured the Software Environment for BizTalk Server RFID.

    You must configure IIS to work with ASP.NET 4 and Registered .NET Framework Script Mappings with IIS.


    Rachit Sikroria (Microsoft Azure MVP)

    Friday, December 2, 2016 5:16 PM
    Moderator

All replies

  • First install framework and try to install Bz2013

    Ram

    Friday, December 2, 2016 4:02 PM
  • Hi ,

    IIS app pool used by  BizTalk 2013 application(Webservices) and RFID process uses .net 4.0, that is the reason why you need it. 

    In case of Biztalk 2006 it used to be 2.0 now with 2013 it is 4.0, solution is follow the proper sequence of installing BizTalk server. Check this seried of article from Sandro, there are about 16 of them. follow it starting from part 1, you shall be good.

    BT 2013>

    BT 2006 >


    Regards PK: Please mark the reply as answer or vote it up, as deemed fit.

    Friday, December 2, 2016 4:25 PM
  • Ram

    Thanks for the reply, however .net 4.0 will not install with 4.5 present as it is a higher version


    pinpointDA

    • Marked as answer by PinpointDA Friday, December 2, 2016 5:01 PM
    • Unmarked as answer by PinpointDA Friday, December 2, 2016 5:01 PM
    Friday, December 2, 2016 5:01 PM
  • Hi PK

    Thanks for the reply, however after a quick look at the guides (which although are very good,are for BizTalk Server and not BizTalk RFID) I cant see any reference to the version of .net required, have I missed something?


    pinpointDA

    Friday, December 2, 2016 5:05 PM
  • Hi,

    BizTalk RFID supports building provider and mobile applications on .NET Framework 4.5.

    I would advice you to refer the guide and ensure that you have configured the Software Environment for BizTalk Server RFID.

    You must configure IIS to work with ASP.NET 4 and Registered .NET Framework Script Mappings with IIS.


    Rachit Sikroria (Microsoft Azure MVP)

    Friday, December 2, 2016 5:16 PM
    Moderator